{% extends 'base.html.twig' %}

{% block title %}{{ guydemarle.name }}{% endblock %}   

{% block body %}
        {# Titre guydemarle #}
        <h2 class="text-center text-secondary my-4">{{ guydemarle.name }}</h2> 
        
        <div class="my-2 container d-flex justify-content-between align-items-center">
            <div class="text-primary">
                <a href="{{ path('accueil') }}" class="text-decoration-none text-primary">Accueil</a> / <a href="{{ path('guydemarle_index') }}" class="text-decoration-none text-primary">GuyDemarle</a> / {{ guydemarle.name }}
            </div>
            <div class="rounded shadow-sm text-center">
                <p class="my-2">
                    Avec le code conseillère Guy Demarle : GAELLE02035</br>
                    Bénéficier d'une remise de 5€ lors de votre 1ère commande !
                </p>
                <div class="text-center my-2">
                    <a href="{{ guydemarle.link }}" target="_blank" class="btn btn-secondary">Acheter le moule</a>
                </div>
            </div>
        </div>

        <section class="container">
            {# Image #}
            <aside class="w-100 text-center">
                {% if guydemarle.fileName %}
                        <img src="{{ vich_uploader_asset(guydemarle, 'imageFile') | imagine_filter('thumb') }}" alt="image du plat de la guydemarle" class="img-fluid">
                    {% else %}
                        <img src="{{ 'images/guydemarles/empty.jpg' | imagine_filter('thumb') }}" alt="image du plat de la guydemarle" class="img-fluid">
                    {% endif %}
            </aside>

            {# Description#}
            <div class="row my-3 d-flex align-items-center text-center">
                <div class="col-12">
                    <p class="">{{ guydemarle.description }}</p>
                </div>
                </div>
            </div>

            <div class="text-center">
                <p class="font-weight-bold my-2 text-primary">Envie de faire un atelier culinaire chez vous ? </p>
                <div class="my-2 text-center">
                    <a href="{{ path('contact') }}" class="btn btn-outline-primary">Me contacter</a>
                </div>
            </div>
            
            <section class="container my-4">
                {# Recettes faites avec le # du moule #}
                <div class="">
                    <h5>Quelques recettes faites avec ce moule :</h5>

                    <div class="text-center my-2">    
                        <button href="#" class="btn btn-secondary">Voir toutes les recettes avec le {{ guydemarle.hashtag.title }} :</button>
                    </div>

                    <div class="my-4 text-center">
                        <a href="{{ path('contact') }}" class="btn btn-info">J'ai une question à propos de ce moule</a>
                    </div>
                </div>

                <div class="my-4">
                    <h5>Voici d'autres moules de la même gamme</h5>
                    {# Mettre ici 3-4 guydemarles en lien avec celle ci-dessus #}
                </div>
            </section>
        </section>
{% endblock %}
